Gets the public half of the default provider's license-signing keypair. Embed this key in your application so the license consumer SDK can verify license token signatures offline. The private key never leaves the platform.
GET
/api/v1/provision/admin/providers/license-signing-key
const url = 'https://example.com/api/v1/provision/admin/providers/license-signing-key';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/provision/admin/providers/license-signing-keyResponses
Section titled “ Responses ”OK
Public half of the provider’s license-signing keypair. Vendors embed string LicenseSigningKeyDto.PublicKey in their application so the license consumer SDK can verify license token signatures offline.
object
keyId
string
publicKey
Base64-encoded (PKCS#1) RSA public key.
string
Public half of the provider’s license-signing keypair. Vendors embed string LicenseSigningKeyDto.PublicKey in their application so the license consumer SDK can verify license token signatures offline.
object
keyId
string
publicKey
Base64-encoded (PKCS#1) RSA public key.
string
Example generated
{ "keyId": "example", "publicKey": "example"}Public half of the provider’s license-signing keypair. Vendors embed string LicenseSigningKeyDto.PublicKey in their application so the license consumer SDK can verify license token signatures offline.
object
keyId
string
publicKey
Base64-encoded (PKCS#1) RSA public key.
string
Example generated
{ "keyId": "example", "publicKey": "example"}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}